Bug 58238 - raidstart can't start when raid-disk 0 is non present
Summary: raidstart can't start when raid-disk 0 is non present
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: raidtools   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-11 15:59 UTC by Carlos Morgado
Modified: 2015-01-04 22:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 07:08:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Morgado 2002-01-11 15:59:38 UTC
raiddev /dev/md1
        raid-level      1
        nr-raid-disks   2
        nr-spare-disks  0
        chunk-size      4
        persistent-superblock 1
        device          /dev/hdc6
        raid-disk       0
        device          /dev/hda6
        raid-disk       1

If I disconnect /dev/hdc raidstart complains /dev/hdc6 is not accessible and
won't start the raid device.

I if make raidtab look like
raiddev /dev/md1
        raid-level      1
        nr-raid-disks   2
        nr-spare-disks  0
        chunk-size      4
        persistent-superblock 1
        device          /dev/hda6
        raid-disk       0
        device          /dev/hdc6
        raid-disk       1
and disconnect /dev/hdc it does starts /dev/md1 in degraded mode. Note I just
changed the order of the devices in raidtab.
raidstart just stops reading raidtab when the first listed fails and marks the
md unavailable.

RH7.2 w/ updates - raidtools-0.90-24


Note You need to log in before you can comment on or make changes to this bug.